## com.sun.jersey.core.header
Class AcceptableLanguageTag

    java.lang.Object
      com.sun.jersey.core.header.LanguageTag
          com.sun.jersey.core.header.AcceptableLanguageTag

All Implemented Interfaces:
  QualityFactor

    public class AcceptableLanguageTag

extends LanguageTag
implements QualityFactor

An acceptable language tag.

Author:
  Paul.Sandoz@Sun.Com

Field Summary
`protected int` | `quality`

Fields inherited from class com.sun.jersey.core.header.LanguageTag
`primaryTag, subTags, tag`

Fields inherited from interface com.sun.jersey.core.header.QualityFactor
`DEFAULT_QUALITY_FACTOR, MAXIMUM_QUALITY, MINUMUM_QUALITY, QUALITY_FACTOR`

Constructor Summary
`AcceptableLanguageTag(HttpHeaderReader reader)`
`AcceptableLanguageTag(java.lang.String header)`
`AcceptableLanguageTag(java.lang.String primaryTag, java.lang.String subTags)`

Method Summary
`int` | `getQuality()`

Methods inherited from class com.sun.jersey.core.header.LanguageTag
`equals, getAsLocale, getPrimaryTag, getSubTags, getTag, hashCode, isCompatible, parse, toString, valueOf`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### quality

    protected int quality

Constructor Detail

### AcceptableLanguageTag

    public AcceptableLanguageTag(java.lang.String primaryTag,
                                 java.lang.String subTags)

### AcceptableLanguageTag

    public AcceptableLanguageTag(java.lang.String header)
                          throws java.text.ParseException

Throws:
  `java.text.ParseException`

### AcceptableLanguageTag

    public AcceptableLanguageTag(HttpHeaderReader reader)
                          throws java.text.ParseException

Throws:
  `java.text.ParseException`

Method Detail

### getQuality

    public int getQuality()

  Specified by:
    `getQuality` in interface `QualityFactor`

Copyright © 2017 Oracle Corporation. All Rights Reserved.